function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = _interopDefault(require('styled-components'));

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var Colors = {
  black: '#000',
  white: '#fff',
  grey: '#707070',
  greyLight: '#a9a9a9',
  away: '#FF9800',
  danger: '#ce4e4e',
  success: '#8fd16a',
  warning: '#f8dd50',
  primary: '#8fd16a',
  secundary: '#59bec9'
};
var Opacity = {
  op0: '00',
  op1: '1A',
  op2: '33',
  op3: '4D',
  op4: '66',
  op5: '80',
  op6: '99',
  op7: 'B3',
  op8: 'CC',
  op9: 'E6'
};

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n\tbackground-color: ", ";\n\tborder: 2px solid;\n\tborder-color: ", ";\n\tborder-radius: 12px;\n\tcolor: ", ";\n\tcursor: pointer;\n\tdisplay: block;\n\tfont-size: 16px;\n\tfont-weight: 500;\n\tline-height: 1;\n\tmargin: ", "px;\n\tmargin-bottom: ", "px;\n\tmargin-top: ", "px;\n\tpadding: 12px;\n\ttext-align: center;\n\ttext-transform: ", ";\n\ttransition: 0.15s ease-in-out;\n\twidth: ", ";\n\n\t&:hover {\n\t\tfilter: brightness(0.85);\n\t}\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Btn = styled.button(_templateObject(), function (props) {
  return props.bgColor ? props.bgColor : Colors.greyLight;
}, function (props) {
  return props.bgColor ? props.bgColor : Colors.greyLight;
}, function (props) {
  return props.textColor ? props.textColor : Colors.white;
}, function (props) {
  return props.mg && props.mg;
}, function (props) {
  return props.mgBottom && props.mgBottom;
}, function (props) {
  return props.mgTop && props.mgTop;
}, function (props) {
  return props.uppercase && 'uppercase';
}, function (props) {
  return props.width ? props.width : '100%';
});

var Button = function Button(_ref) {
  var bgColor = _ref.bgColor,
      children = _ref.children,
      mg = _ref.mg,
      mgBottom = _ref.mgBottom,
      mgTop = _ref.mgTop,
      onClick = _ref.onClick,
      textColor = _ref.textColor,
      textSize = _ref.textSize,
      uppercase = _ref.uppercase,
      width = _ref.width;
  return /*#__PURE__*/React.createElement(Btn, {
    bgColor: bgColor,
    mg: mg,
    mgBottom: mgBottom,
    mgTop: mgTop,
    onClick: onClick,
    textColor: textColor,
    textSize: textSize,
    uppercase: uppercase,
    width: width
  }, children);
};

function _templateObject$1() {
  var data = _taggedTemplateLiteralLoose(["\n\tcolor: ", ";\n\tfont-size: ", "px;\n\tfont-weight: ", ";\n\tline-height: ", ";\n\tmargin-bottom: ", "px;\n\tmargin-top: ", "px;\n\topacity: ", ";\n\ttext-align: ", ";\n\ttext-transform: ", ";\n"]);

  _templateObject$1 = function _templateObject() {
    return data;
  };

  return data;
}
var Txt = styled.p(_templateObject$1(), function (props) {
  return props.color ? props.color : Colors.grey;
}, function (props) {
  return props.size ? props.size : 16;
}, function (props) {
  return props.weight ? props.weight : 400;
}, function (props) {
  return props.lineHeight ? props.lineHeight : 1;
}, function (props) {
  return props.mb ? props.mb : 0;
}, function (props) {
  return props.mt ? props.mt : 0;
}, function (props) {
  return props.opacity && "0." + props.opacity;
}, function (props) {
  return props.align && props.align;
}, function (props) {
  return props.uppercase && props.uppercase;
});

var Text = function Text(_ref) {
  var align = _ref.align,
      children = _ref.children,
      color = _ref.color,
      lineHeight = _ref.lineHeight,
      mb = _ref.mb,
      mt = _ref.mt,
      opacity = _ref.opacity,
      size = _ref.size,
      uppercase = _ref.uppercase,
      weight = _ref.weight;
  return /*#__PURE__*/React.createElement(Txt, {
    align: align,
    color: color,
    lineHeight: lineHeight,
    mb: mb,
    mt: mt,
    opacity: opacity,
    size: size,
    uppercase: uppercase,
    weight: weight
  }, children);
};

function _templateObject$2() {
  var data = _taggedTemplateLiteralLoose(["\n  .head {\n    display: flex;\n    margin-bottom: ", "px;\n    margin-top: ", "px;\n\n    &-item {\n      border-bottom: 2px solid ", "", ";\n      color: ", "", ";\n      cursor: pointer;\n      flex-basis: 0;\n      flex-grow: 1;\n      font-size: 16px;\n      font-weight: 500;\n      line-height: 1;\n      margin: 0 8px;\n      max-width: 100%;\n      padding: 12px;\n      text-align: center;\n      transition: 0.15s ease-in-out;\n\n      &:first-of-type {\n        margin-left: 0;\n      }\n\n      &:last-of-type {\n        margin-right: 0;\n      }\n\n      &:hover {\n        border-bottom: 2px solid ", "", ";\n        color: ", "", ";\n      }\n\n      &.active {\n        border-bottom: 2px solid\n          ", ";\n        color: ", ";\n      }\n    }\n  }\n"]);

  _templateObject$2 = function _templateObject() {
    return data;
  };

  return data;
}
var Tab = styled.div(_templateObject$2(), function (props) {
  return props.mb ? props.mb : 32;
}, function (props) {
  return props.mt ? props.mt : 0;
}, Colors.grey, Opacity.op40, Colors.grey, Opacity.op60, Colors.grey, Opacity.op60, Colors.grey, Opacity.op80, function (props) {
  return props.color ? props.color : Colors.black;
}, function (props) {
  return props.color ? props.color : Colors.black;
});

var Tabs = function Tabs(_ref) {
  var color = _ref.color,
      currentTab = _ref.currentTab,
      data = _ref.data,
      head = _ref.head,
      mb = _ref.mb,
      mt = _ref.mt,
      onTabChange = _ref.onTabChange;
  return /*#__PURE__*/React.createElement(Tab, {
    color: color,
    mb: mb,
    mt: mt
  }, /*#__PURE__*/React.createElement("ul", {
    className: "head"
  }, head.map(function (item, index) {
    return /*#__PURE__*/React.createElement("li", {
      key: index,
      className: "head-item " + (currentTab === index ? 'active' : ''),
      onClick: function onClick() {
        return onTabChange(index);
      }
    }, item);
  })), data);
};

exports.Button = Button;
exports.Tabs = Tabs;
exports.Text = Text;
//# sourceMappingURL=index.js.map
